Subject: Aug's birthday snow rose.
From: Kay price <[email-masked]>
To: Jim Kirchstein <[email-masked]>
Date: Mon, 20 May 2013 12:03:26 -0500

Not sure if I sent this before. Char and I met about newsletter. Can you send me copy of photo of Aug and Hugo that is in our library room? Aug is standing, Hugo sitting. I think you will like what I have written about Hugo. I wrote from noon yesterday until 4:30 AM today. Am now rewriting this afternoon. Char will do a front page poster on the dinner. I have done rest explaining who AD was and who we are so average person understands. This picture and pic of Hugo and Aug only ones used in newsletter. It will be 12 pages and can be a reference newsletter for anyone who wonders who Aug was. Thanks.  Kay